package com.jay.monitor.data.client.config.props;

import com.jay.monitor.data.core.enums.MonitorDataConstants;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * 监控配置信息
 *
 * @author ： liukx
 * @time ： 2020/8/26 - 15:40
 */
@ConfigurationProperties(prefix = "spring.monitor-data")
public class MonitorProperties {

    private String host;

    private Integer port = MonitorDataConstants.DEFAULT_PORT;

    private Integer queueSize = 3000;

    private SQLMonitorProperties sql;

    public Integer getQueueSize() {
        return queueSize;
    }

    public void setQueueSize(Integer queueSize) {
        this.queueSize = queueSize;
    }

    public SQLMonitorProperties getSql() {
        return sql;
    }

    public void setSql(SQLMonitorProperties sql) {
        this.sql = sql;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }
}
